Bug 840752 - Edit profile: very long name causes an unhelpful error page to be displayed
Edit profile: very long name causes an unhelpful error page to be displayed
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity high
: ---
: 1.7.2
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 03:17 EDT by David Mason
Modified: 2012-12-02 22:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.7.2-SNAPSHOT (20120810-0001).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-25 23:37:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-07-17 03:17:19 EDT
Description of problem:
If save is pressed after entering more than 80 characters in the name field, the browser redirects to a general error page with no information about what went wrong (404 for error.seam.seam not being found).

Version-Release number of selected component (if applicable):
1.7-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1.Sign in, go to profile, click "Edit Profile"
2.Enter more than 80 characters in name field
3.Click "Save"
  
Actual results:
Directs to error.seam with 404 message about not finding error.seam.seam

Expected results:
Adds validation message next to name field showing that the entered name is too long.

Additional info:
Comment 1 David Mason 2012-07-17 03:19:42 EDT
Prevented error.seam.seam url rewriting:
https://github.com/zanata/zanata/commit/8dd37b2bad34f1546681af277069245da4c616dd

Added validation annotation for names:
https://github.com/zanata/zanata/commit/74be457544690cac034599a1b97b418cd12941f5
Comment 2 Ding-Yi Chen 2012-08-12 23:53:33 EDT
VERIFIED Zanata version 1.8.0-SNAPSHOT (20120810-0025)
Zanata version 1.7.2-SNAPSHOT (20120810-0001).

Note You need to log in before you can comment on or make changes to this bug.